{
  "_id": "_design/supplier",
  "language": "javascript",
  "views": {
    "counters": {
      "map": "function(doc, meta){if(meta.id.match(/^supplier_counter/)) emit(meta.id, doc)}",
      "reduce": "_sum"
    }
  }
}
